Gecode::Int::BinPacking::SizeSetMinusOne Class Reference

Size sets with one element discarded. More...

`#include <bin-packing.hh>`

## Public Member Functions

| SizeSetMinusOne (void)
| Default constructor.
| SizeSetMinusOne (Region &region, int n)
| Initialize for at most n_max entries.
void | minus (int s)
| Discard size s.
int | card (void) const
| Return cardinality of set (number of entries).
int | total (void) const
| Return total size.
int | operator[] (int i) const
| Return size of item i.
Public Member Functions inherited from Gecode::Int::BinPacking::SizeSet
| SizeSet (void)
| Default constructor.
| SizeSet (Region &region, int n_max)
| Initialize for at most n_max items.
void | add (int s)
| Add new size s.
int | card (void) const
| Return cardinality of set (number of entries).
int | total (void) const
| Return total size.
int | operator[] (int i) const
| Return size of item i.

## Protected Attributes

int | p
| Position of discarded item.
Protected Attributes inherited from Gecode::Int::BinPacking::SizeSet
int | n
| Number of size entries in the set.
int | t
| Total size of the set.
int * | s
| Array of sizes (will have more elements).

## Detailed Description

Size sets with one element discarded.

Definition at line 111 of file bin-packing.hh.

## Constructor & Destructor Documentation

## SizeSetMinusOne() [1/2]

Gecode::Int::BinPacking::SizeSetMinusOne::SizeSetMinusOne | ( | void |  | ) |

inline

Default constructor.

Definition at line 114 of file propagate.hpp.

## SizeSetMinusOne() [2/2]

Gecode::Int::BinPacking::SizeSetMinusOne::SizeSetMinusOne | ( | Region & | region,
|  | int | n )

inline

Initialize for at most
n_max entries.

Definition at line 116 of file propagate.hpp.

## Member Function Documentation

## minus()

void Gecode::Int::BinPacking::SizeSetMinusOne::minus | ( | int | s | ) |

inline

Discard size s.

Definition at line 119 of file propagate.hpp.

## card()

int Gecode::Int::BinPacking::SizeSetMinusOne::card | ( | void |  | ) | const

inline

Return cardinality of set (number of entries).

Definition at line 127 of file propagate.hpp.

## total()

int Gecode::Int::BinPacking::SizeSetMinusOne::total | ( | void |  | ) | const

inline

Return total size.

Definition at line 132 of file propagate.hpp.

## operator[]()

int Gecode::Int::BinPacking::SizeSetMinusOne::operator[] | ( | int | i | ) | const

inline

Return size of item i.

Definition at line 137 of file propagate.hpp.

## Member Data Documentation

## p

int Gecode::Int::BinPacking::SizeSetMinusOne::p

protected

Position of discarded item.

Definition at line 114 of file bin-packing.hh.

The documentation for this class was generated from the following files:

- gecode/int/bin-packing.hh
- gecode/int/bin-packing/propagate.hpp